Bug 1311499 - Updating package causes tomcat to not start on boot.
Updating package causes tomcat to not start on boot.
Product: Fedora EPEL
Classification: Fedora
Component: tomcat (Show other bugs)
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Coty Sutherland
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-24 06:29 EST by Mike Willis
Modified: 2017-02-20 12:53 EST (History)
6 users (show)

See Also:
Fixed In Version: tomcat-7.0.70-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-09-02 05:22:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Willis 2016-02-24 06:29:44 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:44.0) Gecko/20100101 Firefox/44.0
Build Identifier: 

After installing updates and rebooting, tomcat was found to be not running. This was observed on multiple servers.

Reproducible: Always

Steps to Reproduce:
1. Update tomcat package
2. Reboot
Actual Results:  
tomcat is not running and not configured to start on boot.

[root@null  ~]# service tomcat status
tomcat is stopped                                          [  OK  ]
[root@null  ~]# chkconfig --list | grep tomcat
[root@null  ~]# 

Expected Results:  
tomcat is running and configured to start on boot.

preuninstall script unconditionally runs 'chkconfig --del'  and preuninstall script of old package runs after the postinstall script of new package. 

[root@null~]# rpm -qi --scripts tomcat
Name        : tomcat                       Relocations: (not relocatable)
Version     : 7.0.65                            Vendor: Fedora Project
Release     : 1.el6                         Build Date: Wed 06 Jan 2016 18:50:42 GMT
Install Date: Mon 22 Feb 2016 04:09:52 GMT      Build Host: buildhw-09-nfs.phx2.fedoraproject.org
Group       : System Environment/Daemons    Source RPM: tomcat-7.0.65-1.el6.src.rpm
Size        : 312860                           License: ASL 2.0
Signature   : RSA/8, Thu 07 Jan 2016 16:36:23 GMT, Key ID 3b49df2a0608b895
Packager    : Fedora Project
URL         : http://tomcat.apache.org/
Summary     : Apache Servlet/JSP Engine, RI for Servlet 3.0/JSP 2.2 API
Description :
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages specifications are developed by
Sun under the Java Community Process.

Tomcat is developed in an open and participatory environment and
released under the Apache Software License version 2.0. Tomcat is intended
to be a collaboration of the best-of-breed developers from around the world.
preinstall scriptlet (using /bin/sh):
# add the tomcat user and group
/usr/sbin/groupadd -g 91 -r tomcat 2>/dev/null || :
/usr/sbin/useradd -c "Apache Tomcat" -u 91 -g tomcat \
    -s /bin/nologin -r -d /usr/share/tomcat tomcat 2>/dev/null || :
postinstall scriptlet (using /bin/sh):
/sbin/chkconfig --add tomcat
preuninstall scriptlet (using /bin/sh):
# clean tempdir and workdir on removal or upgrade
/etc/init.d/tomcat stop >/dev/null 2>&1
/sbin/chkconfig --del tomcat
/bin/rm -rf /var/cache/tomcat/work/* /var/cache/tomcat/temp/*
[root@null ~]#
Comment 1 Szabolcs Horvath 2016-03-26 05:31:15 EDT

I can confirm that this bug hits the latest RH 6.7 channel as well:

# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.7 (Santiago)

# rpm -qa | grep tomcat

# chkconfig --list tomcat
service tomcat supports chkconfig, but is not referenced in any runlevel (run 'chkconfig --add tomcat')

Best regards,
  Szabolcs Horvath
Comment 2 Coty Sutherland 2016-03-28 15:21:43 EDT
I added a condition to check and see if you're erasing the package or not. If not, then it doesn't stop the service or remove tomcat from chkconfig.

Comment 3 Mike McCune 2016-03-28 18:44:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fedora Update System 2016-08-05 16:10:32 EDT
tomcat-7.0.70-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b
Comment 6 Fedora Update System 2016-08-08 22:17:40 EDT
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b
Comment 7 Fedora Update System 2016-09-01 12:19:55 EDT
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-09-02 05:21:44 EDT
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.